Skip to main content

Delete a project backup export

DELETE/v2/project-backups/{projectBackupId}/export
API version
v2
Request method
DELETE
Operation ID
backup-delete-project-backup-export

Request​

  • projectBackupIdstringrequired

    ID if the ProjectBackup to delete the export of.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/project-backups/string/export
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.backup.deleteProjectBackupExport({
"projectBackupId": "string"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Backup\DeleteProjectBackupExport\DeleteProjectBackupExportRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeleteProjectBackupExportRequest(
projectBackupId: "string"
));
$response = $client->backup()->deleteProjectBackupExport($request);

var_dump($response->getBody();

On this page